Bug 221728 - /proc/cpuinfo doesn't report the 'est' (Enhanced SpeedStep) flag on Mobile Pentium 4 M cpu
/proc/cpuinfo doesn't report the 'est' (Enhanced SpeedStep) flag on Mobile Pe...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 18:00 EST by Tadej Janež
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 18:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2007-01-06 18:00:25 EST
Description of problem:
According to Intel's documentation, this cpu should support the Enhanced
SpeedStep, however, the current kernel doesn't report it so.
See: http://support.intel.com/support/processors/mobile/pentium4/sb/CS-007499.htm

Generally, this would not be a real problem, however, the new cpuspeed's init
script greps /proc/cpuinfo flags line for the 'est' flag, and if the flag is
found, then loads the acpi-cpufreq kernel module. In my case, the 'est' flag is
not found and cpuspeed fails to start (see cpuspeed's bug 219921).

Here is the /proc/cpuinfo contents:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Mobile Intel(R) Pentium(R) 4 - M CPU 1.80GHz
stepping        : 7
cpu MHz         : 1800.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid
bogomips        : 3590.67

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2869.fc6
cpuspeed-1.2.1-1.42.fc6

I'm not sure if I should rather file this bug upstream or not, any pointers
would be appreciated.
Comment 1 Dave Jones 2007-03-19 18:00:19 EDT
Check if it's an option in your BIOS.
If it isn't, there's not much we can do. We're reading this straight from the
hardware and reporting it directly.


Note You need to log in before you can comment on or make changes to this bug.